package com.diaoyun.zion.chinafrica.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 代购与订单关联实体类
 */
public class PlatformOrderVo implements  Serializable{
    private static final long serialVersionUID = 1L;
    /**
     * 对应id
     */
    private String relativeId;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 第三方订单id
     */
    private String pOrderId;
    /**
     * 第三方平台名
     */
    private String platformName;
    /**
     * 第三方平台编号
     */
    private String platformCode;
    /**
     * 第三方发货地址
     */
    private String pDeliveryAddress;
    /**
     * 代购人
     */
    private String userName;
    /**
     * 代购人id
     */
    private String userId;

    /**
     * 商品品名
     */
    private String descripitionName;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 实际付款
     */
    private BigDecimal realityPay;
    /**
     * 第三方快递单号
     */
    private String pExpressNumber;


    /**
     * 设置：商品品名
     */
    public String setDescripitionName() {
        return descripitionName;
    }
    /**
     * 获取：商品品名
     */
    public String getDescripitionName() {
        this.descripitionName = descripitionName;
        return descripitionName;
    }

    /**
     * 设置：对应id
     */
    public void setRelativeId(String relativeId) {
        this.relativeId = relativeId;
    }

    /**
     * 获取：对应id
     */
    public String getRelativeId() {
        return relativeId;
    }
    /**
     * 设置：订单id
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单id
     */
    public String getOrderId() {
        return orderId;
    }
    /** 
     * 设置：第三方订单id
     */
    public void setPOrderId(String pOrderId) {
        this.pOrderId = pOrderId;
    }

    /**
     * 获取：第三方订单id
     */
    public String getPOrderId() {
        return pOrderId;
    }
    /**
     * 设置：第三方平台名
     */
    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    /**
     * 获取：第三方平台名
     */
    public String getPlatformName() {
        return platformName;
    }
    /**
     * 设置：第三方平台编号
     */
    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    /**
     * 获取：第三方平台编号
     */
    public String getPlatformCode() {
        return platformCode;
    }
    /**
     * 设置：第三方发货地址
     */
    public void setPDeliveryAddress(String pDeliveryAddress) {
        this.pDeliveryAddress = pDeliveryAddress;
    }

    /**
     * 获取：第三方发货地址
     */
    public String getPDeliveryAddress() {
        return pDeliveryAddress;
    }

    /**
     * 获取：代购人
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 设置：代购人
     * @return
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 设置：代购人id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：代购人id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：实际付款
     */
    public void setRealityPay(BigDecimal realityPay) {
        this.realityPay = realityPay;
    }

    /**
     * 获取：实际付款
     */
    public BigDecimal getRealityPay() {
        return realityPay;
    }
    /**
     * 设置：第三方快递单号
     */
    public void setPExpressNumber(String pExpressNumber) {
        this.pExpressNumber = pExpressNumber;
    }

    /**
     * 获取：第三方快递单号
     */
    public String getPExpressNumber() {
        return pExpressNumber;
    }
}
